> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/introduction/entities-properties-and-relations.md).

# Entities, properties and relations

## Limits

To protect the system against extensive memory usage of single query there are global limits applied:

* The maximum number of root nodes that can be requested, `rootNodesNumberLimit` – enforces maximum value for the `displayLength` parameter to 100,000.

  This limit is currently disabled by default on all environments but we recommend to enable it and always use smaller `displayLength` values to ensure a single query does not overuse system resources.
* The maximum number of nodes that can be requested in a single page, `pageNodesNumberLimit` – enforces maximum number of both root and children nodes to 1,000,000.

  This limit is always enabled. All graph queries are internally paged with a page size of 5,000 to produce full result and return it to the API customer. This limit is applied per single page.

  For endpoints that produce results directly into the response, without producing a file or a job, reaching the limit could lead to partial responses with a 200 OK HTTP status code because results are streamed directly to the response for best performance.

You can change the default values for these limits in Collibra Console, in the **Graph query limits** section.

| Entity                                                                                                                                         |           |                                       |
| ---------------------------------------------------------------------------------------------------------------------------------------------- | --------- | ------------------------------------- |
| Entity is the base abstract class of all other entities. An abstract entity cannot be queried, thus `Entity` cannot be used in the query tree. |           |                                       |
| Properties                                                                                                                                     |           |                                       |
| id                                                                                                                                             | Text (36) | Universally unique identifier (UUID). |

| <p>Resource</p><p>Extends Entity</p>                                                                                                                                                                                                      |             |                                                                                                                                                                                                                                          |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Resource is an abstract entity, which is the base class of most other entities. Most other entities share the following properties and relations. An abstract entity cannot be queried, thus `Resource` cannot be used in the query tree. |             |                                                                                                                                                                                                                                          |
| Properties                                                                                                                                                                                                                                |             |                                                                                                                                                                                                                                          |
| createdOnIsoDate                                                                                                                                                                                                                          | Number      | The creation date expressed as an ISO 8601 formatted date.                                                                                                                                                                               |
| createdOnTimestamp                                                                                                                                                                                                                        | Number      | The creation date expressed as the number of milliseconds since 1/1/1970.                                                                                                                                                                |
| createdBy                                                                                                                                                                                                                                 | Text        | Id of the user who created this Resource.                                                                                                                                                                                                |
| lastModifiedIsoDate                                                                                                                                                                                                                       | Number      | The last modification date expressed as an ISO 8601 formatted date.                                                                                                                                                                      |
| lastModifiedTimestamp                                                                                                                                                                                                                     | Number      | The last modification date expressed as the number of milliseconds since 1/1/1970.                                                                                                                                                       |
| lastModifiedBy                                                                                                                                                                                                                            | Text        | Id of the last user who modified this resource.                                                                                                                                                                                          |
| system                                                                                                                                                                                                                                    | Boolean     | Is this resource reserved by the system.                                                                                                                                                                                                 |
| Relations                                                                                                                                                                                                                                 |             |                                                                                                                                                                                                                                          |
| User                                                                                                                                                                                                                                      | Many-to-one | <ul><li>the user who created the resource.</li><li>the user who last modified the resource.</li><li>the user who created or last modified the resource. See User for details on specifying which kind of relationship is used.</li></ul> |

| <p>Representation</p><p>Extends Resource</p>                                                                                                                                                                         |             |                                                                    |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- | ------------------------------------------------------------------ |
| Representation is an abstract entity, which is the base class for Asset. All assets share the following relationships. An abstract entity cannot be queried, thus `Representation` cannot be used in the query tree. |             |                                                                    |
| Properties                                                                                                                                                                                                           |             |                                                                    |
| /                                                                                                                                                                                                                    |             |                                                                    |
| Relations                                                                                                                                                                                                            |             |                                                                    |
| Status                                                                                                                                                                                                               | Many-to-One | The current status of the representation.                          |
| Domain                                                                                                                                                                                                               | Many-to-One | The domain containing the representation.                          |
| AssetType                                                                                                                                                                                                            | Many-to-One | The AssetType of the representation.                               |
| Attribute                                                                                                                                                                                                            | One-to-Many | The collection of attributes in the representation.                |
| StringAttribute                                                                                                                                                                                                      | One-to-Many | The collection of StringAttributes in the representation.          |
| ScriptAttribute                                                                                                                                                                                                      | One-to-Many | The collection of ScriptAttributes in the representation.          |
| SingleValueListAttribute                                                                                                                                                                                             | One-to-Many | The collection of SingleValueListAttributes in the representation. |
| MultiValueListAttribute                                                                                                                                                                                              | One-to-Many | The collection of MultiValueListAttributes in the representation.  |
| BooleanAttribute                                                                                                                                                                                                     | One-to-Many | The collection of BooleanAttributes in the representation.         |
| NumericAttribute                                                                                                                                                                                                     | One-to-Many | The collection of NumericAttributes in the representation.         |
| DateTimeAttribute                                                                                                                                                                                                    | One-to-Many | The collection of DateTimeAttributes in the representation.        |
| DateAttribute                                                                                                                                                                                                        | One-to-Many | The collection of DateAttributes in the representation.            |

| <p>Organization</p><p>Extends Resource</p>                       |             |                                                                                                                                              |
| ---------------------------------------------------------------- | ----------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| Represents the hierarchy of organizations available in Collibra. |             |                                                                                                                                              |
| Properties                                                       |             |                                                                                                                                              |
| Name                                                             | Text (255)  | The name of the organization.                                                                                                                |
| description                                                      | Text        | The description of the organization.                                                                                                         |
| uri                                                              | Text (255)  | The URI of the organization.                                                                                                                 |
| language                                                         | Text(255)   | The name of the language used.                                                                                                               |
| meta                                                             | Boolean     | Indicates if the community is related to the meta model, such as a hidden organization.                                                      |
| hasNonMetaChildren                                               | Boolean     | Indicates if the organization contains non-meta subcommunities or domains.                                                                   |
| hasNonMetaChildCommunity                                         | Boolean     | Indicates if the organization contains non-meta communities.                                                                                 |
| organizationType                                                 | Text        | Indicates if the organization is a community ("C") or a domain ("D")                                                                         |
| Relations                                                        |             |                                                                                                                                              |
| ParentCommunity                                                  | Many-to-One | The parent community of this organization. Null for root communities. Optional.                                                              |
| Community                                                        | One-to-Many | The collection of subcommunities.                                                                                                            |
| Domain                                                           | One-to-Many | The collection of domains contained in the organization.                                                                                     |
| Responsibility                                                   | One-to-Many | The collection of responsibilities playing a role in the community.                                                                          |
| ViewPermission                                                   | One-to-Many | The collection of view permissions assigned to the organization.                                                                             |
| SubCommunities                                                   | One-to-Many | The collection of domains contained in the community.                                                                                        |
| Comment                                                          | One-to-Many | The collection of comments contained in the community.                                                                                       |
| Asset                                                            | One-to-Many | The collection of assets contained in the community.                                                                                         |
| DomainType                                                       | One-to-Many | The type of domain.                                                                                                                          |
| Mapping                                                          | One-to-Many | The collection of mappings corresponding to this domain.                                                                                     |
| Filtering Property                                               |             |                                                                                                                                              |
| rootCommunity                                                    | Boolean     | When true, the query engine adds a filter retaining only root communities. Only available when the community is also root of the query tree. |

| <p>Community</p><p>Extends Organization</p>                                                  |
| -------------------------------------------------------------------------------------------- |
| Exact synonym of an organization but with default filtering on organizationType equal to "C" |

| <p>ParentCommunity</p><p>Extends Community</p>                                                                           |
| ------------------------------------------------------------------------------------------------------------------------ |
| Exact synonym of a community. It can only be used as a child of the community to disambiguate the relationship followed. |

| <p>Domain</p><p>Extends Organization</p>                                                                                          |             |                       |
| --------------------------------------------------------------------------------------------------------------------------------- | ----------- | --------------------- |
| Synonym of an organization but with default filtering on organizationType equal to "D" and with overridden relation for Community |             |                       |
| Relations                                                                                                                         |             |                       |
| Community                                                                                                                         | Many-to-One | The parent community. |

| <p>DomainType</p><p>Extends Resource</p> |             |                                                                                     |
| ---------------------------------------- | ----------- | ----------------------------------------------------------------------------------- |
| Each domain has a `DomainType`.          |             |                                                                                     |
| Properties                               |             |                                                                                     |
| signifier                                | Text (255)  | The name of the `DomainType`.                                                       |
| name                                     |             | Synonym for signifier.                                                              |
| description                              | Text        | The description of the `DomainType`.                                                |
| meta                                     | Boolean     | Indicates if the `DomainType` is related to the Collibra meta model.                |
| Relations                                |             |                                                                                     |
| Domain                                   | One-to-Many | The collection of domain instances of the `DomainType`.                             |
| DomainType                               | Many-to-One | The parent `DomainType` of the `DomainType`. Null for root `DomainTypes`. Optional. |
| ChildDomainTypes                         | One-to-Many | The collection of `DomainType` children.                                            |

| <p>ChildDomainTypes</p><p>Extends DomainTypeCollection of DomainType</p>                                              |
| --------------------------------------------------------------------------------------------------------------------- |
| Exact synonym of `DomainType`. Can only be used as a child of `DomainType` to disambiguate the relationship followed. |

| <p>RelationType</p><p>Extends Resource</p>                                                           |                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                               |
| ---------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| A `RelationType` defines a class of relationship between two `AssetTypes`, also called `AssetTypes`. |                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                               |
| Properties                                                                                           |                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                               |
| role                                                                                                 | Text                                                                                                                                                                                                                                                                                             | The label of the relation when followed from head to tail.                                                                                                                                                                    |
| corole                                                                                               | Text                                                                                                                                                                                                                                                                                             | The label of the reversed relation, when followed from tail to head.                                                                                                                                                          |
| description                                                                                          | Text                                                                                                                                                                                                                                                                                             | The description of the `RelationType`.                                                                                                                                                                                        |
| Relations                                                                                            |                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                               |
| Relation                                                                                             | One-to-Many                                                                                                                                                                                                                                                                                      | The collection of relation instances with this `RelationType`.                                                                                                                                                                |
| SourceAssetType                                                                                      | Many-to-One                                                                                                                                                                                                                                                                                      | The `AssetType` that is head of the `RelationType`. `SourceAssetType` is a synonym of `AssetType` and clarifies which path is followed from the `Relation` entity to its child. In this case, the child node is the head.     |
| TargetAssetType                                                                                      | Many-to-One                                                                                                                                                                                                                                                                                      | The `AssetType` that is the tail of the `RelationType`. `TargetAssetType` is a synonym of `AssetType` and clarifies which path is followed from the `Relation` entity to its child. In this case, the child node is the tail. |
| Parent Relationship Selector                                                                         |                                                                                                                                                                                                                                                                                                  |                                                                                                                                                                                                                               |
| type                                                                                                 | This parameter allows specifying which path should be followed from the parent `AssetType` entity to the `RelationType`. The possible values are either `HEAD` or `TAIL`, which tells whether the parent `AssetType` is the head or the tail of the `RelationType`. The default value is `HEAD`. |                                                                                                                                                                                                                               |

| <p>Relation</p><p>Extends Resource</p>                                                                        |                                                                                                                                                                                                                                                                                                                 |                                            |
| ------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------ |
| A `Relation` links two `Assets` together.                                                                     |                                                                                                                                                                                                                                                                                                                 |                                            |
| Properties                                                                                                    |                                                                                                                                                                                                                                                                                                                 |                                            |
| startingDate (deprecated)                                                                                     | Number                                                                                                                                                                                                                                                                                                          | The optional start date for this relation. |
| endingDate (deprecated)                                                                                       | Number                                                                                                                                                                                                                                                                                                          | The optional end date for this relation.   |
| isGenerated                                                                                                   | Boolean                                                                                                                                                                                                                                                                                                         | True if this relation was generated.       |
| Relations                                                                                                     |                                                                                                                                                                                                                                                                                                                 |                                            |
| RelationType                                                                                                  | Many-to-One                                                                                                                                                                                                                                                                                                     | The type of this relation.                 |
| SourceAsset                                                                                                   | Many-to-One                                                                                                                                                                                                                                                                                                     | The source asset of this relation.         |
| TargetAsset                                                                                                   | Many-to-One                                                                                                                                                                                                                                                                                                     | The target asset of this relation.         |
| Parent relationship selector. Only if the parent is a asset node or is of type inheriting from an asset node. |                                                                                                                                                                                                                                                                                                                 |                                            |
| type                                                                                                          | This parameter allows specifying which path should be followed from the parent asset entity to this relation. The possible values are either `SOURCE` or `TARGET`, which tells whether the parent asset is the source or target of the relation. This parameter is mandatory because there is no default value. |                                            |
| Filtering Property                                                                                            |                                                                                                                                                                                                                                                                                                                 |                                            |
| typeId                                                                                                        | Allows filtering relations using the Id value of their related `RelationType`.                                                                                                                                                                                                                                  |                                            |

| <p>ComplexRelation</p><p>Extends Asset</p>                                               |                                                                                            |                                    |
| ---------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ | ---------------------------------- |
| A `ComplexRelation` is an anonymous asset, whose signifier, or name, has been generated. |                                                                                            |                                    |
| Properties                                                                               |                                                                                            |                                    |
| /                                                                                        |                                                                                            |                                    |
| Relations                                                                                |                                                                                            |                                    |
| ComplexRelationType                                                                      | Many-to-One                                                                                | The type of this complex relation. |
| Filtering Property                                                                       |                                                                                            |                                    |
| typeId                                                                                   | Allows filtering ComplexRelations using the Id value of their related ComplexRelationType. |                                    |
| Additional Parameters                                                                    |                                                                                            |                                    |
| separator                                                                                | The character to be used to separate related asset names in an Excel or CSV export.        |                                    |
| quote                                                                                    | The character to be used to quote related asset names in an Excel or CSV export.           |                                    |

| <p>ComplexRelationType</p><p>Extends AssetType</p>                  |           |                                                                                        |
| ------------------------------------------------------------------- | --------- | -------------------------------------------------------------------------------------- |
| A `ComplexRelationType` determines the type of a `ComplexRelation`. |           |                                                                                        |
| Properties                                                          |           |                                                                                        |
| /                                                                   |           |                                                                                        |
| Relations                                                           |           |                                                                                        |
| ComplexRelation                                                     | OneToMany | The collection of `ComplexRelation` instances with the `ComplexRelationType`.          |
| ComplexRelationLegType                                              | OneToMany | The collection of ComplexRelationLegTypes linked to the `ComplexRelationType`.         |
| ComplexRelationAttributeType                                        | OneToMany | The collection of `ComplexRelationAttributeTypes` linked to the `ComplexRelationType`. |

| <p>ComplexRelationLegType</p><p>Extends Resource</p>                                                                                                                                                                               |             |                                                                              |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- | ---------------------------------------------------------------------------- |
| A `ComplexRelationLegType` is a `RelationType` used in the context of a `ComplexRelationType`. The `SourceAssetType` of those `RelationTypes` of the `ComplexRelationType`. It can only be used as a child of ComplexRelationType. |             |                                                                              |
| Properties                                                                                                                                                                                                                         |             |                                                                              |
| min                                                                                                                                                                                                                                | Number      | The minimum occurrences of this `RelationType` in the `ComplexRelationType`. |
| max                                                                                                                                                                                                                                | Number      | The maximum occurrences of this `RelationType` in the `ComplexRelationType`. |
| legOrder                                                                                                                                                                                                                           | Number      | Order of this `ComplexRelationLegType` in the `ComplexRelationType`.         |
| Relations                                                                                                                                                                                                                          |             |                                                                              |
| RelationType                                                                                                                                                                                                                       | Many-to-One | The `RelationType` of the `ComplexRelationLegType`.                          |

| <p>ComplexRelationAttributeType</p><p>Extends Resource</p>                                                                                                                                               |             |                                                                             |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- | --------------------------------------------------------------------------- |
| <p>A <code>ComplexRelationAttributeType</code> is an AttributeType used in the context of a <code>ComplexRelationType</code>.</p><p>Can only be used as a child of <code>ComplexRelationType</code>.</p> |             |                                                                             |
| Properties                                                                                                                                                                                               |             |                                                                             |
| min                                                                                                                                                                                                      | Number      | The minimum occurrences of this AttributeType in the `ComplexRelationType`. |
| max                                                                                                                                                                                                      | Number      | The maximum occurrences of this AttributeType in the `ComplexRelationType`. |
| readOnly                                                                                                                                                                                                 | Boolean     | Indicates if the attribute can be edited or not.                            |
| attributeOrder                                                                                                                                                                                           | Number      | Order of this `ComplexRelationAttributeType` in the `ComplexRelationType`.  |
| Relations                                                                                                                                                                                                |             |                                                                             |
| AttributeType                                                                                                                                                                                            | Many-to-One | The AttributeType of this `ComplexRelationAttributeType`.                   |

<table data-header-hidden><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td><p>Asset</p><p>Extends Representation</p></td><td></td><td></td></tr><tr><td>An <code>Asset</code> is the basic building block capturing information about the assets available in Collibra.</td><td></td><td></td></tr><tr><td>Properties</td><td></td><td></td></tr><tr><td>signifier</td><td>Text (2000)</td><td>The full name of the asset.</td></tr><tr><td>displayName</td><td>Text (2000)</td><td>The display name of the asset.</td></tr><tr><td>articulationScore</td><td>Number</td><td>Result of the last calculation of the articulation score.</td></tr><tr><td>hasChildrenForRelation (deprecated)</td><td>Boolean</td><td><p>Virtual calculated property indicating if this asset has children for the relation type defined at the query level. This property takes two additional parameters:</p><ul><li>the <code>RelationType</code></li><li><code>direction</code> (role or co-role)</li></ul><p>For example:</p><pre><code>"HasChildrenForRelation": {
  "name": "hasChildren",
  "relationTypeId": "00000000-0000-0000-0000-000000007005",
  "roleDirection": true
</code></pre><p>It can only be used if <code>Asset</code> is a root node of the query. It is not inherited by nodes extending the <code>Asset</code> node.</p></td></tr><tr><td>avgRating</td><td>Number</td><td>Average value of all ratings assigned to the asset.</td></tr><tr><td>ratingsCount</td><td>Number</td><td>Number of all ratings signed to the asset.</td></tr><tr><td>class</td><td>Text</td><td><p>The class of the asset:TEAssetRLRoleCRComplex relationWDWorkflow definition</p><p>The Output Module has a broader interpretation of assets, which includes roles, complex relations, and workflows. Use the <code>class</code> property to differentiate among these subclasses.</p></td></tr><tr><td>Relations</td><td></td><td></td></tr><tr><td>Relation</td><td>One-to-Many</td><td>The collection of relations this asset has. See Relation for a mandatory type parameter.</td></tr><tr><td>Responsibility</td><td>One-to-Many</td><td>The collection of responsibilities this asset has.</td></tr><tr><td>Mapping</td><td>One-to-Many</td><td>The related mappings.</td></tr><tr><td>Tag</td><td>Many-to-Many</td><td>The collection of tags associated with this asset.</td></tr><tr><td>Filtering Property</td><td></td><td></td></tr><tr><td>rootOfRelation</td><td><p>An array relation types/direction pairs. Root assets are not the child of any of the relations.</p><p>For example:</p><pre><code>"rootOfRelation": [
  {
    "relationTypeId": "00000000-0000-0000-0000-000000007038",
    "roleDirection": true
  },
  {
    "relationTypeId": "00000000-0000-0000-0000-000000007005",
    "roleDirection": true
  }
]
</code></pre></td><td></td></tr></tbody></table>

| <p>SourceAsset</p><p>Extends Asset</p>                                                                          |
| --------------------------------------------------------------------------------------------------------------- |
| Exact synonym of `Asset`. It can only be used as a child of relation to disambiguate the relationship followed. |

| <p>TargetAsset</p><p>Extends Asset</p>                                                                            |
| ----------------------------------------------------------------------------------------------------------------- |
| Exact synonym of `Asset`. It can only be used as a child of a relation to disambiguate the relationship followed. |

| <p>SourceAssetType</p><p>Extends AssetType</p>                                                                            |
| ------------------------------------------------------------------------------------------------------------------------- |
| Exact synonym of `AssetType`. It can only be used as a child of `RelationType` to disambiguate the relationship followed. |

| <p>TargetAssetType</p><p>Extends AssetType</p>                                                                         |
| ---------------------------------------------------------------------------------------------------------------------- |
| Exact synonym of `AssetType`. Can only be used as a child of `RelationType` to disambiguate the relationship followed. |

| <p>AssetType</p><p>Extends Resource</p>                                                 |             |                                                                                                                              |
| --------------------------------------------------------------------------------------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------- |
| A `AssetType`, also called `AssetType`, determines the type of asset, which is an Asset |             |                                                                                                                              |
| Properties                                                                              |             |                                                                                                                              |
| discriminator                                                                           | Text        | <p>The type of this AssetType. Possible values are:</p><ul><li>AssetType</li><li>ComplexRelationType</li><li>Trait</li></ul> |
| signifier                                                                               | Text (255)  | The name of this `AssetType`.                                                                                                |
| name                                                                                    |             | Synonym for signifier.                                                                                                       |
| description                                                                             | Text        | The description of the `AssetType`.                                                                                          |
| meta                                                                                    | Boolean     | Is the AssetType related to the Collibra meta model.                                                                         |
| color                                                                                   | Text        | The color of the `AssetType`.                                                                                                |
| icon                                                                                    | Text        | The icon of the `AssetType`.                                                                                                 |
| acronym                                                                                 | Text        | The acronym of the `AssetType`                                                                                               |
| symbolType                                                                              | Text        | Defines the icon or acronym used in Collibra. Possible values are: `ICON`, `ACRONYM` and `NONE`.                             |
| displayNameEnabled                                                                      | Boolean     | Indicates if the display name is enabled for all assets of this `AssetType`.                                                 |
| ratingEnabled                                                                           | Boolean     | Are ratings enabled for all assets of this `AssetType`.                                                                      |
| Relations                                                                               |             |                                                                                                                              |
| Asset                                                                                   | One-to-Many | The collection of instances of this `AssetType`.                                                                             |
| AssetType                                                                               | Many-to-One | The parent AssetType of this `AssetType`.                                                                                    |
| ChildAssetTypes                                                                         | One-to-Many | The collection of concept types that have this AssetType as parent.                                                          |

| <p>ChildAssetTypes</p><p>Extends AssetTypeCollection of AssetType</p>                                                                                                                                                                                   |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>Can only be used as a child of <code>AssetType</code> to disambiguate the relationship followed.</p><p>The <code>ComplexRelationType</code>, despite inheriting from <code>AssetType</code>, does not support <code>ChildAssetTypes</code> node.</p> |

| <p>Attribute</p><p>Extends Resource</p>                       |                                                                                     |                                                                                                                                                                                                                                                                                                |
| ------------------------------------------------------------- | ----------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Attribute represents an attribute linked to a representation. |                                                                                     |                                                                                                                                                                                                                                                                                                |
| Properties                                                    |                                                                                     |                                                                                                                                                                                                                                                                                                |
| value                                                         | Text                                                                                | <p>The text value of this attribute.</p><div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>For date values, a JSON or XML export contains number of milliseconds since 1/1/1970, while a CSV or Excel export contains an ISO 8601 formatted date.</p></div> |
| class                                                         | Text                                                                                | With other entities, extends attribute. You may use the `class` qualifier to differentiate between the various subclasses.                                                                                                                                                                     |
| Relations                                                     |                                                                                     |                                                                                                                                                                                                                                                                                                |
| AttributeType                                                 | Many-to-One                                                                         | The type of attribute.                                                                                                                                                                                                                                                                         |
| Asset                                                         | Many-to-One                                                                         | The asset to which the attribute belongs.                                                                                                                                                                                                                                                      |
| Filtering Property                                            |                                                                                     |                                                                                                                                                                                                                                                                                                |
| labelId                                                       | Allows filtering the attributes based on the `Id` of their related `AttributeType`. |                                                                                                                                                                                                                                                                                                |

| <p>StringAttribute</p><p>Extends Attribute</p>                |      |                                                                                        |
| ------------------------------------------------------------- | ---- | -------------------------------------------------------------------------------------- |
| A `StringAttribute` is an attribute dedicated to text values. |      |                                                                                        |
| Properties                                                    |      |                                                                                        |
| longExpression                                                | Text | The unbounded text value. Obsolete, but returns the same content as `Attribute:value`. |

| <p>ScriptAttribute</p><p>Extends Attribute</p>                  |      |                                                                          |
| --------------------------------------------------------------- | ---- | ------------------------------------------------------------------------ |
| A `ScriptAttribute` is an attribute dedicated to script values. |      |                                                                          |
| Properties                                                      |      |                                                                          |
| script                                                          | Text | The script. Obsolete, but returns the same content as `Attribute:value`. |

| <p>SingleValueListAttribute</p><p>Extends Attribute</p>                                                |
| ------------------------------------------------------------------------------------------------------ |
| A `SingleValueListAttribute` is an attribute dedicated to storing a single value selected from a list. |

| <p>MultiValueListAttribute</p><p>Extends Attribute</p>                                                 |      |                     |
| ------------------------------------------------------------------------------------------------------ | ---- | ------------------- |
| A `MultiValueListAttribute` is an attribute dedicated to storing multiple values selected from a list. |      |                     |
| Properties                                                                                             |      |                     |
| values                                                                                                 | Text | The multiple values |

| <p>BooleanAttribute</p><p>Extends Attribute</p>                   |         |           |
| ----------------------------------------------------------------- | ------- | --------- |
| A `BooleanAttribute` is an attribute dedicated to Boolean values. |         |           |
| Properties                                                        |         |           |
| booleanValue                                                      | Boolean | The value |

| <p>NumericAttribute</p><p>Extends Attribute</p>                   |        |                    |
| ----------------------------------------------------------------- | ------ | ------------------ |
| A `NumericAttribute` is an attribute dedicated to numeric values. |        |                    |
| Properties                                                        |        |                    |
| numericValue                                                      | Number | The stored number. |

| <p>DateAttribute</p><p>Extends Attribute</p>                |        |                                                                        |
| ----------------------------------------------------------- | ------ | ---------------------------------------------------------------------- |
| A `DateAttribute` is an attribute dedicated to date values. |        |                                                                        |
| Properties                                                  |        |                                                                        |
| timestamp                                                   | Number | The date value expressed as the number of milliseconds since 1/1/1970. |
| isoDate                                                     | String | The date value expressed as an ISO 8601 formatted date.                |

| <p>AttributeType</p><p>Extends Resource</p>              |             |                                                                                                                                                      |
| -------------------------------------------------------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| The `AttributeType` determines the type of an attribute. |             |                                                                                                                                                      |
| Properties                                               |             |                                                                                                                                                      |
| signifier                                                | Text(255)   | The name of the `AttributeType`.                                                                                                                     |
| name                                                     |             | Synonym for signifier.                                                                                                                               |
| description                                              | Text        | The description of this `AttributeType`.                                                                                                             |
| attributeKind                                            | Text(255)   | The `AttributeType` kind. The possible values are: BOOLEAN, STRING, NUMERIC,DATE, DATE\_TIME, SINGLE\_VALUE\_LIST, MULTI\_VALUE\_LIST and SCRIPT.    |
| language                                                 | Text(255)   | The name of the language used. The kind is SCRIPT.                                                                                                   |
| isInteger                                                | Boolean     | Indicates if the `AttributeType` defines an integer or decimal. If true, it defines an integer. If false, it defines a decimal. The kind is NUMERIC. |
| allowedValues                                            | Text        | Comma separated list of values. The kind is SINGLE\_VALUE\_LIST or MULTI\_VALUE\_LIST.                                                               |
| Relations                                                |             |                                                                                                                                                      |
| Attribute                                                | One-to-Many | The collection of `Attributes` of this type                                                                                                          |

| <p>User</p><p>Extends Resource</p>                                                                                                                                                                                                                    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |                                                                                                  |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| Represents Collibra users. Any resource has a creation date and the last modification date. Collibra also stores which user made each of these operations. The User entity is related to all types as the creator and/or last modifier of the entity. |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |                                                                                                  |
| Properties                                                                                                                                                                                                                                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |                                                                                                  |
| userName                                                                                                                                                                                                                                              | Text                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | The user name. Requires administrative rights to be queried.                                     |
| firstName                                                                                                                                                                                                                                             | Text                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | The first name.                                                                                  |
| lastName                                                                                                                                                                                                                                              | Text                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | The last name.                                                                                   |
| fullName                                                                                                                                                                                                                                              | Text                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | Virtual property containing the first and last name together, which is useful for filters.       |
| gender                                                                                                                                                                                                                                                | Text                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | The gender. Requires administrative rights to be queried.                                        |
| language                                                                                                                                                                                                                                              | Text                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | The user language. Requires administrative rights to be queried.                                 |
| activated                                                                                                                                                                                                                                             | Boolean                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | Indicates if the user is activated. Requires administrative rights to be queried.                |
| ldapUser                                                                                                                                                                                                                                              | Boolean                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | Indicates if the user is a LDAP User. Requires administrative rights to be queried.              |
| apiUser (deprecated)                                                                                                                                                                                                                                  | Boolean                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | Indicates if this is an API user.                                                                |
| enabled                                                                                                                                                                                                                                               | Boolean                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | Indicates if the user is enabled.                                                                |
| emailAddress                                                                                                                                                                                                                                          | Text                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | The user's primary email address.                                                                |
| guest                                                                                                                                                                                                                                                 | Boolean                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | Indicates if this is a guest user.                                                               |
| Relations                                                                                                                                                                                                                                             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |                                                                                                  |
| Email                                                                                                                                                                                                                                                 | Many-to-Many                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | The collection of emails owned by the user.                                                      |
| Phone                                                                                                                                                                                                                                                 | Many-to-Many                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | The collection of phone numbers owned by the user.                                               |
| InstantMessagingAccount                                                                                                                                                                                                                               | Many-to-Many                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | The collection of `InstantMessagingAccount` accounts owned by this user.                         |
| Website                                                                                                                                                                                                                                               | Many-to-Many                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | The collection of websites owned by the user.                                                    |
| Address                                                                                                                                                                                                                                               | Many-to-Many                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | The collection of addresses owned by the user.                                                   |
| Community                                                                                                                                                                                                                                             | One-to-Many                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | The collection of communities created or last modified by the user.                              |
| Domain                                                                                                                                                                                                                                                | One-to-Many                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | The collection of vocabularies created or last modified by the user.                             |
| DomainType                                                                                                                                                                                                                                            | One-to-Many                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | The collection of `DomainTypes` created or last modified by the user.                            |
| RelationType                                                                                                                                                                                                                                          | One-to-Many                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | The collection of `RelationType` created or last modified by the user.                           |
| Relation                                                                                                                                                                                                                                              | One-to-Many                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | The collection of relations created or last modified by the user.                                |
| ComplexRelation                                                                                                                                                                                                                                       | One-to-Many                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | The collection of `ComplexRelations` created or last modified by the user.                       |
[...]
